const db = require('../models');
const Item = db.items;
const License = db.licenses;

// GET - /
exports.getIndex = async function(req, res) {
  // fetch inventory items from database
  const items = await Item.findAll({
    limit: 10,
    order: [
      ['updatedAt', 'DESC'],
    ],
  });

  // fetch licenses from database
  const licenses = await License.findAll({
    limit: 10,
    order: [
      ['updatedAt', 'DESC'],
    ],
  });

  // req.flash('info', 'This is a test flash message.');

  res.render('index.twig', {
    inventory: items,
    licenses: licenses,
  });
};
